Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jaxen
Class AttributeAxisIterator

    java.lang.Object
      net.sourceforge.pmd.jaxen.AttributeAxisIterator

All Implemented Interfaces:
  java.util.Iterator

public class AttributeAxisIterator
extends java.lang.Object
implements java.util.Iterator

Constructor Summary
`AttributeAxisIterator(Node contextNode)`

Method Summary
`boolean` | `hasNext()`
`protected boolean` | `isAttribute(java.lang.reflect.Method method)`
`java.lang.Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeAxisIterator

    public AttributeAxisIterator(Node contextNode)

Method Detail

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

### isAttribute

    protected boolean isAttribute(java.lang.reflect.Method method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.